Package org.apache.commons.math3.analysis.differentiation

# Interface UnivariateDifferentiableMatrixFunction

All Superinterfaces:
  `UnivariateMatrixFunction`

public interface UnivariateDifferentiableMatrixFunction extends UnivariateMatrixFunction
Extension of `UnivariateMatrixFunction` representing a univariate differentiable matrix function.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`DerivativeStructure[][]`
`value(DerivativeStructure x)`
Compute the value for the function.

### Methods inherited from interface org.apache.commons.math3.analysis.UnivariateMatrixFunction

`value`

## Method Details

### value

DerivativeStructure[][] value(DerivativeStructure x) throws MathIllegalArgumentException
Compute the value for the function.

Parameters:
  `x` - the point for which the function value should be computed
Returns:
  the value
Throws:
  `MathIllegalArgumentException` - if `x` does not satisfy the function's constraints (argument out of bound, or unsupported derivative order for example)